footer {
  background-color: var(--vwfs-petrol);
  padding-top: 4rem;
  overflow: hidden;
}

.footer-container {
  padding-bottom: 2rem;
  position: relative;
  width: 80%;
  display: flex;
  flex-direction: row-reverse;
  justify-content: center;
  margin: auto;
  background-color: var(--vwfs-petrol);
}

.footer-logo-container {
  width: 33%;
  height: 100%;
}

.footer-logo-image {
  max-width: 200px;
  height: auto;
}

.footer-copy-and-links {
  width: 66%;
  color: var(--vwfs-text-primary);
}

.footer-links-container {
  width: 66%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 1rem;
  margin-bottom: 4rem;
}

/* text */
.footer-disclaimer-text {
  width: 80%;
}
.footer-link-text {
  width: 44%;
  color: var(--vwfs-text-primary);
}

.footer-text {
  position: absolute;
  bottom: 0;
  left: 0;
  color: var(--vwfs-text-primary);
}

.footer-link {
  width: 100%;
  height: auto;
}

.footer-link-icon {
  position: absolute;
  right: 0;
  top: 0;
  height: 42px;
  width: 42px;
}

.bottom-wave-mobile {
  display: none;
  width: 100%;
}
.bottom-wave-desktop {
  position: relative;
  bottom: -7px;
  left: 0;
  width: 100%;
}

/* Responsive Styles mobile */
@media (max-width: 640px) {
  footer {
    padding-top: 3rem;
  }

  .bottom-wave-desktop {
    display: none;
    width: 100%;
  }

  .bottom-wave-mobile {
    display: block;
  }

  .footer-logo-container,
  .footer-copy-container,
  .footer-copy-and-links,
  .footer-link-text {
    width: 100%;
  }

  .footer-container {
    width: 90%;
    flex-direction: column;
    gap: 2rem;
  }

  .footer-links-container {
    width: 100%;
    flex-direction: column;
    padding-bottom: 2rem;
  }
}